:root {
  --maincolor: #56dfdc;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Rubik", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  color: white;
  font-size: 1.5rem;
}

h1 {
  font-family: "Permanent Marker", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 5rem;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  z-index: 5;
}

.artist {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
}

.artist p {
  max-width: 1000px;
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  z-index: 5; /* derrière le texte et les disques */
}

.album-bg,
.artist {
  background-size: cover;
  background-position: center;
  height: 120vh;
  background-attachment: fixed;
  position: relative;
}

/* Voile noir semi-transparent */
.album-bg::before,
.artist::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3); /* noir à 50% d’opacité */
  z-index: 1; /* derrière le texte et les disques */
}

.content {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 100px;
  z-index: 200;
}

/* chaque paire (= ligne) contient infos + vinyl */
.pair {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 100px;
  position: relative; /* permet z-index sur enfants */
}

.albums > article.pair:nth-of-type(even) .content {
  flex-direction: row-reverse;
}

.infos {
  max-width: 700px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  font-size: 1.4rem;
  z-index: 200;
}

.description {
  max-height: 6.2em; /* taille vu par défault*/
  overflow: hidden;
  position: relative;
  transition: max-height 0.3s ease;
}

.description.expanded {
  max-height: 100em; /* assez grand pour tout le texte */
}

.description::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2em;
  background: linear-gradient(to bottom, transparent, rgb(0, 0, 0));
  pointer-events: none;
}

.description.expanded::after {
  display: none;
}

.read-more-btn {
  color: #97dcf7;
  cursor: pointer;
  font-weight: bold;
  padding-bottom: 10px;
  display: inline-block;
  font-size: 1rem;
  padding-left: 20px;
  padding-right: 20px;
  /* border: #fcf8f8 solid 2px; */
  width: 100%;
  text-align: center;
}

.vinyl-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 200;
}

.vinyl-container a {
  color: aliceblue;
}

.vinyl-container a:hover {
  color: rgb(58, 107, 150);
}

.vinyl {
  width: 350px;
  height: auto;
  border-radius: 50%;
  transition: transform 0.3s ease;
  cursor: pointer;
}

.vinyl.rotate {
  animation: spin 2s linear infinite;
}

.popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.85);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10000;
}

.popup-content {
  background-color: #000000;
  color: var(--maincolor);
  border: var(--maincolor) solid 2px;
  padding: 30px;
  border-radius: 10px;
  font-family: Arial, sans-serif;
  text-align: center;
  font-size: 1.4rem;
  max-width: 500px;
  box-shadow: 0 0 20px rgba(11, 176, 201, 0.4);
}

#closePopup {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: #000000;
  color: var(--maincolor);
  border: solid;
  border-radius: 6px;
  cursor: pointer;
  font-size: 16px;
}

.monsite {
  color: var(--maincolor);
  text-decoration: none;
}

.monsite:hover {
  text-decoration: underline;
}

#closePopup:hover {
  background-color: rgb(12, 26, 27);
}

body.popup-active {
  overflow: hidden;
}

.popup-hidden {
  display: none !important;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.date {
  margin-top: 10px;
  padding: 7px;

  width: fit-content;
  border-radius: 10px;
  font-size: 1rem;
  font-family: Georgia, "Times New Roman", Times, serif;
}

.tel {
  display: none;
}

.imgtel {
  display: none;
}

/* Pour les écrans < 1024px (tablette) */
@media (max-width: 803px) {
  body {
    background-color: #202020;
  }

  .popup-overlay {
    display: none;
  }

  .artist {
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    background-image: none !important;
  }

  .artist h1 {
    font-size: 2.5rem;
  }

  .artist p {
    padding: 20px;
  }

  .imgtel {
    position: relative;
    width: 100%;
    display: block;
    overflow: hidden; /* important */
  }

  .imgtel img {
    width: 100%;
    display: block;
  }

  .imgtel::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40%; /* ajuste l'intensité */
    background: linear-gradient(to bottom, transparent, #202020);
    pointer-events: none;
  }

  .artist::before {
    background-color: rgba(0, 0, 0, 0);
  }

  article {
    display: none !important;
  }

  .tel {
    display: flex;
    flex-direction: column;

    width: 100%;
  }

  .tel .content {
    position: relative; /* indispensable pour le filtre */
    display: flex;
    margin: auto;
    height: auto;
    flex-direction: column;
    gap: 7px;
    background-position: center;
    background-repeat: no-repeat;
    padding: 20px 30px;
    width: 90%;
    margin-top: 40px;
    border-radius: 40px;
    overflow: hidden; /* pour que le filtre respecte le border-radius */
  }

  .tel .content::before {
    content: "";
    position: absolute;
    inset: 0; /* top:0; right:0; bottom:0; left:0; */
    background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.7) 0%,
      rgba(0, 0, 0, 0.8) 50%,
      rgba(0, 0, 0, 1) 65%,
      rgba(0, 0, 0, 1) 100%
    );

    z-index: 1;
    border-radius: inherit;
  }

  /* Pour que ton contenu reste visible au-dessus du filtre */
  .tel .content > * {
    position: relative;
    z-index: 2;
  }

  .tel img {
    width: 300px;
    border-radius: 40px;
    margin-top: 0px;
  }

  .tel a {
    color: white;
    font-size: 1rem;
    margin-top: 10px;
  }

  .tel h1 {
    font-size: 2rem;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .tel p {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .date {
    display: none;
  }

  p {
    font-size: 0.9rem;
  }

  article {
    display: none !important;
  }
}
